#### D.6.6.4 semiMod

Procedure from library `classify_aeq.lib` (see classify_aeq_lib).

Return:
  list K;
  K[1]min generators of the semialgebra.
  K[2]conductor of the algebra.
  K[3]genrators for the semialgebra.
  K[4]min generators of the module.
  K[5]conductor of the module.
  K[6]semigroup of the module.

Example:

    LIB "classify_aeq.lib";
    ring r=0,t,Ds;
    ideal G=t4,t7+t10;
    ideal I=diff(G,t);
    ideal k=sagbiMod(I,G);
    semiMod(k,G);
    ==> [1]:
    ==>    4,7
    ==> [2]:
    ==>    18
    ==> [3]:
    ==>    0,4,7,8,11,12,14,15,16,18
    ==> [4]:
    ==>    3,6,16
    ==> [5]:
    ==>    13
    ==> [6]:
    ==>    3,6,7,10,11,13

User manual for Singular version 4.4.1, 2025, generated by texi2html.